Subject: bug#70000: 29.2; Grapheme handling incorrect

From: Phillip Susi <[email-masked]>
Date: Thu, 28 Mar 2024 12:16:33 -0400

Eli Zaretskii <[email-masked]> writes:

> I understand.  But Emacs needs this information also long after the
> characters were already drawn.  For example, imagine that Emacs

Yes, it would have to learn the width the first time it displays each
grapheme and build a list of known widths to remember for future use.

> In addition, if Emacs had to query the cursor position after each
> written character, its redisplay would be much slower than it is now.

It would only need to query when printing a grapheme cluster, and only
the first time.  After that, it could remeber.